#
# spec file for package trytond_account_invoice_stock
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2017-2024 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1550
%define pythons python3
%define mypython python3
%define mysitelib %python3_sitelib
%else
%{?sle15_python_module_pythons}
%define mypython %pythons
%define mysitelib %{expand:%%%{mypython}_sitelib}
%endif

%define majorver 7.0

Name:           trytond_account_invoice_stock
Version:        %{majorver}.2
Release:        1.1
Summary:        The "account_invoice_stock" module for the Tryton ERP system
License:        GPL-3.0-only
Group:          Productivity/Office/Management
URL:            http://www.tryton.org/
Source:         http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz

BuildRequires:  %{mypython}-devel
BuildRequires:  %{mypython}-pip
BuildRequires:  %{mypython}-setuptools
BuildRequires:  %{mypython}-wheel
BuildRequires:  fdupes
BuildRequires:  python-rpm-generators
BuildRequires:  python-rpm-macros

Requires:       trytond
Requires:       trytond_account_invoice
Requires:       trytond_product
Requires:       trytond_stock
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This module adds capability to bill stock items/materials

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{mysitelib}

%files
%defattr(-,root,root)
%{mysitelib}/tryton*

%changelog
* Sat May  3 2025 Axel Braun <axel.braun@gmx.de>
- Version 7.0.2 - Bugfix Release
* Sun Oct 13 2024 Axel Braun <axel.braun@gmx.de>
- Version 7.0.1 - Bugfix Release
* Sun Oct 13 2024 Axel Braun <axel.braun@gmx.de>
- version upgrade to 7.0 LTS-
* Mon Apr 29 2024 Axel Braun <axel.braun@gmx.de>
- sources are not signed anymore
* Sat Jan 13 2024 Axel Braun <axel.braun@gmx.de>
- Switch to wheel and %%{?sle15_python_module_pythons}
* Sat Dec 23 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.3 - Bugfix Release
* Thu Oct 19 2023 Daniel Garcia Moreno <daniel.garcia@suse.com>
- Remove %%python3_install prefix and root options, that's included in
  the macro by default.
* Mon Jul 31 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.2 - Bugfix Release
* Sat Jun  4 2022 Axel Braun <axel.braun@gmx.de>
- Version 6.0.1 - Bugfix Release
* Sat Feb 12 2022 Axel Braun <axel.braun@gmx.de>
- Version bump to Tryton 6.0 series
* Fri Jun 18 2021 Axel Braun <axel.braun@gmx.de>
- Version 5.0.4 - Bugfix Release
* Sat Feb 27 2021 Andreas Stieger <andreas.stieger@gmx.de>
- add upstream signing key and validate source signature
* Sun Jan 24 2021 Axel Braun <axel.braun@gmx.de>
- Adaption to new python macros
* Fri May  1 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.3 - Bugfix Release
* Sat Apr  4 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.2 - Bugfix Release
* Thu Nov 21 2019 Axel Braun <axel.braun@gmx.de>
- version 5.0.1 (GNU Health 3.6 series)
* Sun Oct 29 2017 axel.braun@gmx.de
- Version 4.6.0
* Mon Nov 28 2016 axel.braun@gmx.de 
- Tryton Release 4.2
* Mon May  2 2016 axel.braun@gmx.de 
- Tryton Release 4.0
* Mon Oct 19 2015 axel.braun@gmx.de 
- Tryton Release 3.8
* Wed Apr 15 2015 axel.braun@gmx.de 
- Tryton Release 3.6
* Wed Aug 20 2014 axel.braun@gmx.de
- initial build
